Bug 10866 - fix smb2cli_validate_negotiate_info with min=PROTOCOL_NT1 max=PROTOCOL_SMB2_02
fix smb2cli_validate_negotiate_info with min=PROTOCOL_NT1 max=PROTOCOL_SMB2_02
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-10-10 09:15 UTC by Stefan Metzmacher
Modified: 2014-10-14 17:08 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-2-test (1.28 KB, patch)
2014-10-10 09:17 UTC, Stefan Metzmacher
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-10-10 09:15:41 UTC
We need to backport commit 3eef853f741d9349e45a1a87e453c52bf56c4774 from master.
Comment 1 Stefan Metzmacher 2014-10-10 09:17:20 UTC
Created attachment 10340 [details]
Patch for v4-2-test
Comment 2 Michael Adam 2014-10-13 13:09:52 UTC
Comment on attachment 10340 [details]
Patch for v4-2-test

ack
Comment 3 Michael Adam 2014-10-13 13:10:59 UTC
==> Karo for picking
Comment 4 Karolin Seeger 2014-10-13 19:15:51 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2014-10-14 17:08:07 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!